Remotehost Docs

List API key metadata

GET
/orgs/{orgId}/api-keys

Requires a user session with api_keys.manage. API keys cannot call this operation. Secret tokens are never returned.

Authorization

bearerAuth
AuthorizationBearer <token>

A RemoteHost API key (rh_sk_...) or a user session token.

In: header

Path Parameters

orgId*string

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/orgs/string/api-keys"
{  "apiKeys": [    {      "id": "string",      "org_id": "string",      "name": "string",      "key_prefix": "string",      "last_used_at": "string",      "created_at": "string",      "revoked_at": "string",      "expires_at": "string",      "scopes": [        "string"      ],      "created_by": "string",      "workspace_id": "string"    }  ]}